Name:      fipscheck
Version:   1.5.0
Release:   10
Summary:   Helper library for FIPS integrity checking
License:   BSD
URL:       https://pagure.io/fipscheck
Source0:   https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc compat-openssl11-devel >= 1.0.0
Obsoletes: %{name}-lib < %{version}-%{release}
Provides:  %{name}-lib = %{version}-%{release}
Provides:  %{name}-lib%{_isa} = %{version}-%{release}

%description
This package contains library (libfipscheck) and helper binaries which
implement the integrity check of libraries and binaries as required by
FIPS-140-2 validated modules.

%package devel
Summary: Development headers and libraries for %{name}
Requires:%{name} = %{version}-%{release}

%description devel
Development headers and libraries for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
make %{?_smp_mflags}

%define __spec_install_post \
    %{?__debug_package:%{__debug_install_post}} \
    %{__arch_install_post} \
    %{__os_install_post} \
    %{buildroot}%{_bindir}/fipshmac -d  %{buildroot}%{_libdir}/fipscheck  %{buildroot}%{_bindir}/fipscheck  %{buildroot}%{_libdir}/libfipscheck.so.1.2.1 \
    ln -s libfipscheck.so.1.2.1.hmac  %{buildroot}%{_libdir}/fipscheck/libfipscheck.so.1.hmac \
%{nil}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}%{_libdir}/fipscheck

%check
make check

%pre

%preun

%post  -p /sbin/ldconfig

%postun  -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING AUTHORS
%doc ChangeLog
%{_bindir}/*
%{_libdir}/fipscheck/fipscheck.hmac
%{_libdir}/*.so.*
%dir %{_libdir}/fipscheck
%{_libdir}/fipscheck/libfipscheck.so.*.hmac

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%files help
%doc README NEWS
%{_mandir}/man8/*
%{_mandir}/man3/*

%changelog
* Thu Feb 2 2023 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 1.5.0-10
- change the BuildRequires from openssl-devel to compat-openssl11-devel

* Mon Oct 24 2022 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 1.5.0-9
- update release

* Fri Dec 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.5.0-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: correct "name" to "Name" in spec file

* Wed Oct 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.0-7
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: change the directory of AUTHORS

* Thu Aug 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.0-6
- Package init
